Subject: Re: bug#50642: 27.2; autoload xref-pulse-momentarily

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 18 Sep 2021 16:14:04 +0200

Howard Melman <[email-masked]> writes:

>> Well, um. I don't really mind but xref-pulse-momentarily was
>> designed to pulse after a jump to an xref location. That's why it
>> refers to xref--current-item in its implementation.

Yeah, that's the wrong function to use here, so the Consult
documentation should be altered.

> I do still think it would be nice for pulse.el to define a function
> suitable for use in a jump-like hook that take no arguments and pulses
> the current line or maybe symbol.  The former is trival, but if
> pulse-momentary-highlight-one-line allowed it's POINT argument to be
> optional, emacs could provide it for everyone.  It seems like in Emacs
> 27 all the callers of it just pass (point) anyway.

I've now made POINT optional in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no